Results 1 to 3 of 3
Discuss [1.1.2 OTB] Is it possible to update only 1.1.3 FW, not 4.03.13 BB FW at the iPhone "2G" (Rev. 1) - Hackint0sh.org; Just curious that is it possible to protect the 4.02.13 BB installed from the factory ...
  1. #1
    Advanced Array

    Join Date
    Dec 2007
    Posts
    44
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default [1.1.2 OTB] Is it possible to update only 1.1.3 FW, not 4.03.13 BB FW

    Just curious that is it possible to protect the 4.02.13 BB installed from the factory of OOTB 1.1.2 as it has been and update only 1.1.3 FW?

    It is still good for *SIM guys, especially the non-programmable ones.
    I'm not sure if anyone would be able to track the mechanism how 4.03.13 locks iPhone from *SIM. The programmable *SIM would have a chance but the non-programmable *SIM is out of luck without stricking to 4.02.13 BB.



  2. #2
    Rookie Array

    Join Date
    Nov 2007
    Posts
    21
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    I have been asking me the same question. When you downgrade your firmware, iTunes is unable wo downgrade the baseband (since the bootloader doesn't allow this) thus resulting in the well-known error 1015. If we could modify the baseband version that iTunes reports to the phone, the phone would reject that baseband and keep the old one.

    The problem is, that the 1.1.3 firmware and the 04.03.13_G baseband both are in the same DMG archive and we don't have the keys yet.

    But nonetheless a jailbreak is needed as the phone will only run with a patched lockdownd. See here for information on that part: code (dot) google (dot) com/p/iphone-elite/wiki/lockdowndindepth
    Last edited by maxdemian; 01-20-2008 at 12:13 PM.

  3. #3
    Advanced Array

    Join Date
    Dec 2007
    Posts
    44
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    I think Jailbreaking is not difficult compared to unlocking by the fact that there would be any bugs somewhere everytime when the OS has new updates. Like appearing in the thread reported by TA_Mobile he found a bug and many people also report the different ones in the replies. This time the potential bugs/exploits are about quicktime and video playback... if I'm not wrong.

    I don't think there would be serious and critical implementation into the baseband that much; it is binded to the hardware which is rarely changed or modified. So the less implementation, the less bug.

    So, we should keep what is working; like for *SIMers they should be happy with BB 4.02.13 even with BL4.6.

 

 

Similar Threads

  1. MacNN: Briefly: TIME Mobile app update, HP 6500 driver update
    By hackint0sh in forum Latest Headlines
    Replies: 0
    Last Post: 06-03-2010, 11:40 PM
  2. Replies: 2
    Last Post: 02-07-2009, 08:24 AM
  3. Replies: 8
    Last Post: 09-16-2008, 11:17 PM
  4. Replies: 0
    Last Post: 08-28-2008, 11:00 AM
  5. Replies: 0
    Last Post: 08-27-2008, 07:20 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 07:10 AM.
twitter, follow us!